ecj (3.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (built from the R4_4 tag, identifies itself as 3.10.0)
    - Refreshed gcc-changes.diff
    - Added a patch fixing compilation errors caused by @Override annotations
    - Updated the version of the Maven pom
    - Added the new -1.8 option in the manpages
  * debian/control:
    - Removed the recommended dependency on a JRE for libecj-java
    - Added the Homepage and the Vcs-* fields
  * Switch to debhelper level 9
  * Call 'set -e' in the body of the ecj maintainer scripts
  * Fixed a typo in the ecj manpages
  * Added a watch file
  * debian/rules:
    - Renamed the get-source target to get-orig-source and completed
      the script to build the upstream tarball.
    - Removed the option to build with the old ant1.7 package
    - Reduced the number of warnings during the compilation
    - Replace the bundle_version parameter with the actual version
      in message.properties
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 26 Jun 2014 17:45:28 +0200

ecj (3.9.0-2) unstable; urgency=medium

  * Build using gcj-4.9.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2014 16:46:31 +0200

ecj (3.9.0-1) unstable; urgency=medium

  * Update to 4.3.1 (built from the R4_3_1 tag, identifies itself as 3.9.0).

 -- Matthias Klose <doko@debian.org>  Tue, 10 Dec 2013 15:50:07 +0100

ecj (3.8.2-4) unstable; urgency=low

  * Build using gcj-4.8 on all architectures.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Jul 2013 01:17:16 +0200

ecj (3.8.2-2) unstable; urgency=low

  * Build using gcj-4.6 on mips.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Apr 2013 18:56:06 +0200

ecj (3.8.2-1) unstable; urgency=low

  * Update to 3.8.2 (built from the R3_8_2 tag, identifies itself as 3.8.3).
    Supports Java7. Closes: #693441.
  * Remove copyright information from ICU and jsch. Closes: #622296.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Apr 2013 00:34:31 +0200

ecj (3.5.1-6) unstable; urgency=low

  * Allow package to build with gcj-4.6 on ia64.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Jan 2013 18:54:59 +0100

ecj (3.5.1-5) unstable; urgency=low

  * Fix the libgcj so version.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Jan 2013 17:36:18 +0100

ecj (3.5.1-4) unstable; urgency=low

  * Rebuild using GCC-4.7.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Apr 2012 14:47:52 +0200

ecj (3.5.1-3) unstable; urgency=low

  [ James Page ]
  * Add maven artifact deployment to resolve FTBFS for 
    tomcat-maven-plugin (LP: #835769):
    - debian/control: added maven-repo-helper to Build-Depends-Indep
    - debian/rules: install maven artifacts, added get-orig-poms target 
      to retrieve original pom files
    - debian/libecj-java.poms: POM file locator.
    - debian/poms/ecj.pom: Upstream POM file from Maven repo1.
    - debian/libecj-java.install: removed - install handled by m-r-h.

  [ Matthias Klose ]
  * Remove Jerry Haltom and Michael Koch from uploaders.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Sep 2011 23:27:58 +0200

ecj (3.5.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable armhf architecture for ecj1 (Closes: #631070) 

 -- Hector Oron <zumbi@debian.org>  Wed, 13 Jul 2011 22:13:12 +0100

ecj (3.5.1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Move ecj1 binary to the multiarch gcc directory so gcj can find it.
  * Create a link to ecj1 in our build directory so that gcj can find it
    for rebootstrapping ecj1.

  [ Matthias Klose]
  * Build with default gcj-jdk.
  * ecj1: Provide a compatibility symlink in /usr/lib/gcc/ecj1.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jun 2011 19:25:06 +0200

ecj (3.5.1-1) unstable; urgency=low

  * Update to the final 3.5.1 release.
  * Update GCCMain.java from rhug/eclipse-gcj.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Oct 2009 11:18:07 +0200

ecj (3.5+20090820-1) unstable; urgency=low

  * Update to the R3_5_maintenance branch.
    - Fixes eclipse #285466, bootstrap error in OpenJDK.
  * Set sections to java.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Aug 2009 19:34:12 +0200

ecj (3.5-1) unstable; urgency=low

  * New upstream version.
  * Update to the R3_5_maintenance branch 20090728.
  * Update GCCMain.java.
  * Build using gcj-4.4-jdk on all architectures.

 -- Matthias Klose <doko@debian.org>  Tue, 28 Jul 2009 18:55:13 +0200

ecj (3.4.2-4) unstable; urgency=low

  * Build using gcj-4.4-jdk on hppa.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Feb 2009 22:34:28 +0100

ecj (3.4.2-1) unstable; urgency=low

  * New upstream version 3.4.2, built from the v_894_R34x tag,
    R3_4_maintenance branch.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Feb 2009 22:34:28 +0100

ecj (3.3.0+0728-11) unstable; urgency=low

  * Build again for alpha.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Feb 2009 09:31:00 +0100

ecj (3.3.0+0728-10) unstable; urgency=low

  * libecj-java: Recommend default-jre-headless | java2-runtime-headless
    instead of java2-runtime.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Sep 2008 10:52:13 +0000

ecj (3.3.0+0728-9) unstable; urgency=low

  * Don't build on alpha, arm, hppa.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2008 04:12:54 +0200

ecj (3.3.0+0728-8) unstable; urgency=low

  * Fix build failure on alpha.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Jan 2008 19:58:40 +0100

ecj (3.3.0+0728-7) unstable; urgency=low

  * Build using gcj-4.3 on all archs but alpha.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Jan 2008 19:11:08 +0100

ecj (3.3.0+0728-6) unstable; urgency=low

  * Build-depend on libecj-java on arm.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Jan 2008 22:07:01 +0100

ecj (3.3.0+0728-5) unstable; urgency=medium

  * Make ecj architecture dependent, dependencies depend on the jvm used.
  * ecj: Depend on gij-x.y.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Sep 2007 19:22:58 +0200

ecj (3.3.0+0728-4) unstable; urgency=low

  * Fix name of renamed jar file (Michael Koch).

 -- Matthias Klose <doko@debian.org>  Wed, 05 Sep 2007 00:08:06 +0200

ecj (3.3.0+0728-3) unstable; urgency=medium

  * Use ecj-standalone.jar to build the ecj-gcj and ecj1 binaries.
  * ecj-gcj: Depend on ecj. Closes: #440259.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Aug 2007 23:33:08 +0200

ecj (3.3.0+0728-2) unstable; urgency=low

  * Tighten build-dependency on libgcj-bc.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Aug 2007 20:12:38 +0200

ecj (3.3.0+0728-1) unstable; urgency=medium

  * New upstream version, taken from the R3_3_maintenance tag.
  * Build using gcj-4.2 on all architectures except alpha and m68k.
  * Stop building the ecj-bootstrap and ecj-bootstrap-gcj packages.
  * Build a libecj-java-gcj package.
  * Build an ecj1 package on arm, BC-compile ecj1.
  * Update debian/copyright, eclipse is EPL, not CPL anymore.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Aug 2007 12:35:30 +0200

ecj (3.3.0-2) unstable; urgency=low

  * Apply fix for upstream report #195317.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Jul 2007 12:05:37 +0200

ecj (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Don't reference the transitional bootstrap package in the README.
    Closes: #426887.
  * Split out the library into libecj-java. Closes: #421621.

 -- Matthias Klose <doko@ubuntu.com>  Sat,  7 Jul 2007 02:13:27 +0200

ecj (3.3~M7-2) unstable; urgency=low

  * debian/control: Make ecj and ecj-gcj conflict and replace their
    eclipse-ecj and eclipse-ecj-gcj counterparts. Closes: #421302.

 -- Michael Koch <konqueror@gmx.de>  Sun, 20 May 2007 09:57:58 -0100

ecj (3.3~M7-1) unstable; urgency=low

  * New upstream release.
    - Fixes issues with classes extending java.io.PrintWriter and implementing
      some random interface. Closes: #424504.
    - Removed debian/patches/ecj-square-bracket-classpath.diff.
      Applied upstream.

 -- Michael Koch <konqueror@gmx.de>  Fri, 18 May 2007 09:32:35 -0100

ecj (3.2.2-2) unstable; urgency=low

  * Loosen dependency on gij-4.1, libgcj7-jar. Closes: #421488.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Apr 2007 22:19:47 +0200

ecj (3.2.2-1) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Apr 2007 01:04:45 +0200

ecj (3.2.2-0) experimental; urgency=low

  * New upstream version.
    - Update patches.
  * (Build-)depend on gcj generics backport.
  * Build-Conflicts with ecj-bootstrap-gcj (<< 3.2.2).
  * Merge from Ubuntu:
    - Split out patches.
    - Add ecj-square-bracket-classpath.diff.
    - ecj-bootstrap: Add compatibilty script ecj-bootstrap.
    - Install the jar as eclipse-ecj.jar, provide an ecj.jar symlink.
    - Rename source and binary package to ecj.
    - Pass gcj and gcj-dbtool versions to aot-compile.

 -- Matthias Klose <doko@debian.org>  Sat,  3 Mar 2007 19:37:46 +0100

ecj-bootstrap (3.2.1-6) unstable; urgency=low

  * Fix PR java/30585 (-Werror and -Wall not working). Taken from the rhug
    repository.

 -- Matthias Klose <doko@debian.org>  Sat,  3 Feb 2007 14:16:47 +0100

ecj-bootstrap (3.2.1-5) unstable; urgency=low

  * debian/control: Call it a "standalone" version, not a "bootstrap"
    version. The package is used as the compiler in java-gcj-compat-dev
    as well. See also #396170.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Jan 2007 20:44:40 +0100

ecj-bootstrap (3.2.1-4) unstable; urgency=medium

  * Refactor batch/org/eclipse/jdt/internal/compiler/batch/Main.java,
    add batch/org/eclipse/jdt/internal/compiler/batch/GCCMain.java,
    needed to bootstrap GCC-4.3.

 -- Matthias Klose <doko@debian.org>  Tue,  9 Jan 2007 00:09:22 +0100

ecj-bootstrap (3.2.1-3) unstable; urgency=low

  * Add missing build dependency.

 -- Matthias Klose <doko@debian.org>  Sun,  8 Oct 2006 01:40:00 +0200

ecj-bootstrap (3.2.1-2) unstable; urgency=low

  * Add 1.6 compatibility in package description.
  * Use own copy of aot-compile to build with less memory resources
    on arm and m68k.
  * Build the standalone binary without -fjni -findirect-dispatch.

 -- Matthias Klose <doko@debian.org>  Sat,  7 Oct 2006 23:38:47 +0200

ecj-bootstrap (3.2.1-1) unstable; urgency=medium

  * New upstream version.
  * ecj-bootstrap-gcj: Add postrm script.

 -- Matthias Klose <doko@debian.org>  Tue,  3 Oct 2006 09:35:39 +0200

ecj-bootstrap (3.2-3) unstable; urgency=low

  * Install classmap db in /usr/share/gcj/classmap.db, install jar.so
    in /usr/lib/gcj.
  * ecj-bootstrap-gcj.postinst: Use rebuild-gcj-db.
  * Build depend on gcj-4.1 (>= 4.1.1-13).

 -- Matthias Klose <doko@debian.org>  Sat,  2 Sep 2006 13:55:21 +0000

ecj-bootstrap (3.2-2) experimental; urgency=low

   * Build using the gcj backport from experimental.
   * Do not build the binary ecj.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Aug 2006 13:01:45 +0200 

ecj-bootstrap (3.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 31 Jul 2006 18:16:52 +0000

ecj-bootstrap (3.1.2-6) unstable; urgency=low

  * ecj-bootstrap-gcj: Do not register an alternative for ecj.
  * ecj-bootstrap: Use ecj-bootstrap-gcj, if available.
  * The above changes set the bootclasspath to /usr/share/java/libgcj-4.1.jar,
    if no bootclasspath is set. Closes: #361608, #361806.
  * Do not try to rebuild the jar file using the gij on arm and m68k.

 -- Matthias Klose <doko@debian.org>  Thu,  1 Jun 2006 22:55:00 +0200

ecj-bootstrap (3.1.2-5) unstable; urgency=low

  * Updated Standards-Version to 3.7.2. No changes needed.

 -- Michael Koch <konqueror@gmx.de>  Sat,  6 May 2006 16:25:40 +0000

ecj-bootstrap (3.1.2-4) unstable; urgency=low

  * Build using gij-4.1/gcj-4.1.
  * Rebuild using ecj on all architectures.
  * Remove conflict on virtual package ecj.

 -- Matthias Klose <doko@debian.org>  Sat,  1 Apr 2006 11:29:03 +0000

ecj-bootstrap (3.1.2-3) experimental; urgency=low

   * Build using gcj-4.1, upload to experimental.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Jan 2006 08:35:09 +0000 

ecj-bootstrap (3.1.2-2ubuntu3) dapper; urgency=low

  * Use gij-4.1 in the package scripts.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Feb 2006 21:00:44 +0000

ecj-bootstrap (3.1.2-2ubuntu2) dapper; urgency=low

  * Build using gcj-4.1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Feb 2006 01:07:40 +0000

ecj-bootstrap (3.1.2-2build1) dapper; urgency=low

  * Require gcj-4.0.2-9 to build.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Feb 2006 03:18:22 +0000

ecj-bootstrap (3.1.2-2) unstable; urgency=low

  * Set the bootclasspath to /usr/share/java/libgcj-4.0.jar, if not called
    with the -bootclasspath and /usr/lib/jvm/java-gcj/jre/lib/rt.jar does
    not exist (java-gcj-compat not installed). Closes: #350542.

 -- Matthias Klose <doko@debian.org>  Thu,  9 Feb 2006 16:33:45 +0000

ecj-bootstrap (3.1.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Jan 2006 08:09:25 +0000

ecj-bootstrap (3.1.1-4) unstable; urgency=low

  * Depend on libgcj6-jar instead of libgcj6-common.

 -- Matthias Klose <doko@debian.org>  Thu,  5 Jan 2006 19:14:49 +0000

ecj-bootstrap (3.1.1-3.1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * NMU: added a backslash at the end of the first line of
    'debian/ecj-bootstrap-gcj.postinst'. Closes: #335031.

 -- Christoph Berg <myon@debian.org>  Sat, 29 Oct 2005 12:09:06 +0200

ecj-bootstrap (3.1.1-3) unstable; urgency=low

  * On arm and hppa, don't rebuild ecj using gij.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Oct 2005 19:08:20 +0000

ecj-bootstrap (3.1.1-2) unstable; urgency=low

  * Add a javac alternative (priority higher than gcj).
  * ecj-bootstrap-gcj: Add slave alternative for the man page.
    Addresses #328743.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Oct 2005 00:11:27 +0200

ecj-bootstrap (3.1.1-1) unstable; urgency=low

  * New upstream version.
  * Remove bootstrap workaround, tighten build dependency to gcj-4.0.2.
  * Fix symlink to manpage (closes: #330080).

 -- Matthias Klose <doko@debian.org>  Sat,  1 Oct 2005 18:32:05 +0200

ecj-bootstrap (3.0.93-1) unstable; urgency=low

  * New upstream version (3.1rc3). Taken from the eclipse-3.1 package,
    file ecj.zip.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Sep 2005 12:54:56 +0000

ecj-bootstrap (3.0.1-4ubuntu6) breezy; urgency=low

  * Only build one java file per gcj call, ignore errors on first
    build. Closes: #327161, Ubuntu 14938.
  * Add more error checking in debian/rules.
  * Install manual page for ecj alternative as well.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Sep 2005 14:19:57 +0200

ecj-bootstrap (3.0.1-4ubuntu5) breezy; urgency=low

  * Reenable ecj-bootstrap-gcj. (Build-)depend on fixed gcj-4.0.

 -- Matthias Klose <doko@ubuntu.com>  Sat,  2 Jul 2005 08:25:02 +0000

ecj-bootstrap (3.0.1-4ubuntu4) breezy; urgency=low

  * Temporarily disable building ecj-bootstrap-gcj. FTBFS on amd64. Unbreak
    ant's dependency on ecj (>= 3.0.1-4ubuntu2).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jun 2005 09:59:20 +0000

ecj-bootstrap (3.0.1-4ubuntu3) breezy; urgency=low

  * Include manpages for ecj-bootstrap and ecj-bootstrap-gcj (closes: #316641).

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 29 Jun 2005 14:52:57 +0000

ecj-bootstrap (3.0.1-4ubuntu2) breezy; urgency=low

  * Merged ecj-adapter.jar into ecj.jar in preparation for Eclipse 3.1
    upgrade. Upstream has laid out ecj in this fashion.
  * Removed java-gcj-compat bits which were unneccassary.
  * Added native versions of the ecj binary and ecj.jar in a new package
    named ecj-bootstrap-gcj. This increases the compilation speed of
    packages built with this copy of ecj.
  * Added new alternatives for /usr/bin/ecj for the native version.
  * First package successfully creating a classmap.db.

 -- Jerry Haltom <wasabi@larvalstage.net>  Tue, 14 Jun 2005 21:38:29 -0500

ecj-bootstrap (3.0.1-4ubuntu1) breezy; urgency=low

  * Add a /usr/bin/ecj binary.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jun 2005 16:57:27 +0000

ecj-bootstrap (3.0.1-3) experimental; urgency=low

  * Synchronize.

 -- Matthias Klose <doko@debian.org>  Wed,  1 Jun 2005 23:24:48 +0200

ecj-bootstrap (3.0.1-1ubuntu6) breezy; urgency=low

  * Now provides 'ecj' which will also be provided by the future
    eclipse-ecj package built from full Eclipse source.
  * Removed universe/ from Section.
  * Now refering to libgcj-4.0.jar instead of 4.0.0.jar to handle
    changing versions better.

 -- Jerry Haltom <wasabi@larvalstage.net>  Wed,  1 Jun 2005 14:12:16 -0500

ecj-bootstrap (3.0.1-2) experimental; urgency=low

  * Upload to experimental, set maintainer to Debian Java Matainers,
    request by Michael Koch.

 -- Matthias Klose <doko@debian.org>  Sun, 22 May 2005 15:53:07 +0000

ecj-bootstrap (3.0.1-1ubuntu5) hoary; urgency=low

  * Fixed path to ant.jar.

 -- Jerry Haltom <wasabi@larvalstage.net>  Mon, 28 Mar 2005 20:17:03 -0600

ecj-bootstrap (3.0.1-1ubuntu4) hoary; urgency=low

  * Added build of Ant adapter. This introduces a circular dependency
    on ecj-bootstrap and Ant.

 -- Jerry Haltom <wasabi@larvalstage.net>  Sun, 27 Mar 2005 22:51:13 -0600

ecj-bootstrap (3.0.1-1ubuntu3) hoary; urgency=low

  * Added missing dependency on libgcj6-common.

 -- Jerry Haltom <wasabi@larvalstage.net>  Wed, 23 Feb 2005 22:45:00 -0600

ecj-bootstrap (3.0.1-1ubuntu2) hoary; urgency=low

  * Removed argument modification from ecj and moved it to ecj-wrapper in the
    style of gcj-wrapper.
  * Jeff Bailey corrected the Posix-compliant argument expansion in
    ecj-wrapper with the help of David Weinehall.
  * ecj now rebuilds with itself as a sanity test.

 -- Jerry Haltom <wasabi@larvalstage.net>  Mon, 14 Feb 2005 20:34:25 -0600

ecj-bootstrap (3.0.1-1ubuntu1) hoary; urgency=low

  * First upload to Ubuntu.

  * Tighten build deps.  Use "ecj" instead of "ecj-bootstrap" to
    allow ant to depend on ecj | ecj-bootstrap.

  * Posixify wrapper

 -- Jeff Bailey <jbailey@ubuntu.com>  Fri, 11 Feb 2005 20:37:21 +0000

ecj-bootstrap (3.0.1-0) unstable; urgency=low

  * Initial release.

 -- Jerry Haltom <wasabi@larvalstage.net>  Wed, 09 Feb 2005 19:36:07 -0600
